Revert "updated Japanese holidays (in Japanese and English)"
ClosedPublic

Authored by phanect on Jun 30 2018, 1:53 PM.

Details

Summary

This reverts commit 49f6abb.
49f6abb includes a lot of unintendet reverts from f604468 (Update Japanese holidays)

In follwing thread on KDE Bugzilla, Allen Winter seems to have merged very old code.
https://bugs.kde.org/show_bug.cgi?id=365241

As a result, some updates I made in https://phabricator.kde.org/D5736 is reverted.

Diff Detail

Repository
R175 PIM: KHolidays
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
phanect created this revision.Jun 30 2018, 1:53 PM
Restricted Application added a subscriber: kde-pim. · View Herald TranscriptJun 30 2018, 1:53 PM
phanect requested review of this revision.Jun 30 2018, 1:53 PM
phanect retitled this revision from GIT_SILENT: prepare 5.5.1 to Revert "updated Japanese holidays (in Japanese and English)".Jun 30 2018, 1:54 PM
phanect edited the summary of this revision. (Show Details)
phanect edited the summary of this revision. (Show Details)Jun 30 2018, 1:57 PM
This comment was removed by phanect.
phanect updated this revision to Diff 36951.Jun 30 2018, 2:27 PM

Revert "updated Japanese holidays (in Japanese and English)"

This reverts commit 49f6abb6035f97c0a98113e3aedf5d2db135bf63.
This commit includes a lot of unintendet reverts from f604468 ("Update Japanese holidays")

phanect added a comment.EditedJun 30 2018, 2:29 PM

I know equinox days can be automatically calculated, but in this review request I just revert the commit.

I found Equinox days culculated by kholidays may be wrong.
For example, kholidays says March 22th is Vernal Equinox Day in 2018, but actual Japanese Vernal Equinox Day is March 21th in 2018.

I think Equinox Days should be kept.

I also want to know how to hide automatically-calculated equinox days. I will send another patch later.

phanect edited the summary of this revision. (Show Details)Jul 1 2018, 12:25 PM

Sorry, I made another code review request by mistake: https://phabricator.kde.org/D13828
Please close this request and continue with D13828.

This revision was not accepted when it landed; it landed in state Needs Review.Jul 8 2018, 4:08 PM
This revision was automatically updated to reflect the committed changes.